<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/
if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../classes/config.php");
$conf = new Configuration();

$lang = isset($_GET['lang'])? $_GET['lang'] : "en";
$css_version = isset($_GET['v2'])? $_GET['v2'] : "";

header("Content-type: text/javascript; charset=UTF-8");
?>
tinyMCE.init({
	mode : "textareas",
	element_format : "html",
	theme : "advanced",	
	language : "<?=$lang;?>",
	plugins : "paste,table,advimage",
	theme_advanced_toolbar_location : "top",
	content_css : "/include/css/article.css?v2=<?=$css_version;?>",
	editor_deselector : "mceNoEditor",
	theme_advanced_toolbar_align : "left",
	button_tile_map : true,
	verify_html : false,
	theme_advanced_blockformats : "<?=$conf->Get("tinymce_blockformats");?>",
	theme_advanced_buttons1 : "<?=$conf->Get("tinymce_b1");?>",
	theme_advanced_buttons2 : "<?=$conf->Get("tinymce_b2");?>",
	theme_advanced_buttons3 : "",
	extended_valid_elements : "<?=$conf->Get("tinymce_valid_elements");?>"
<?php
$id_article = isset($_GET['id'])? (int)$_GET['id'] : 0;
if($id_article>0)
{
	include_once(SERVER_ROOT."/../classes/article.php");
	$a = new Article($id_article);
	$images = $a->ImageGetAll();
	if(count($images)>0)
	{
		$convert_format = $conf->Get("convert_format");
		echo ",setup : function(ed) { \n";
		echo "ed.onBeforeSetContent.add(function(ed, o) { \n";
		foreach($images as $image)
		{
			$size = $image['size']=="-1"? "orig":$image['size'];
			$format = $image['size']=="-1"? $image['format'] : $convert_format;
			$orig_format = $image['format'];
			switch($image['align'])
			{
				case "0":
					$align = "right";
				break;
				case "1":
					$align = "left";
				break;
				case "2":
					$align = "standalone";
				break;
			}
			echo "o.content = o.content.replace(/\[\[Img({$image['id_image']})\]\]/gi,'\<img phpeace_id=\"$1\" src=\"/images/upload\.php\?src=images\/{$size}\/$1\.{$format}&format={$orig_format}\" width=\"{$image['width']}\" height=\"{$image['height']}\" class=\"{$align}\" \/\>');\n";
		}
/*
		foreach($boxes as $box)
		{
			if(!$box['popup'])
			{
				echo "o.content = o.content.replace(/\[\[Box({$box['id_box']})\]\]/gi,'\<div class=\"article-box abox-type{$box['id_type']} align{$box['align']} width{$box['width']}\"\>{$box['content']}\<\/div\>');\n";
			}
		}
*/
		echo "});\n";

		echo "ed.onSaveContent.add(function(ed, o) { \n";
		echo "o.content = o.content.replace(/<img(.*?)phpeace_id=\\\"([0-9]*?)\\\"(.*?)>/gi,'\[\[Img$2\]\]');\n";
		echo "});\n";
		echo "}";
	}
}

?>
});
