<?php
/********************************************************************
  
   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

include_once(SERVER_ROOT."/../classes/db.php");

class Ali
{
	public function CenterGet($id_center)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT c.name,c.id_province FROM ali_center c WHERE c.id_center=$id_center";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function CenterInsert($name,$id_province)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_center" );
		$id_center = $db->nextId( "ali_center", "id_center" );
		$sqlstr = "INSERT INTO ali_center (id_center,name,id_province)
		VALUES ($id_center,'$name',$id_province)";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
		return $id_center;
	}

	public function CenterUpdate($id_center,$name,$id_province)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_center" );
		$sqlstr = "UPDATE ali_center SET name='$name',id_province=$id_province
			WHERE id_center=$id_center";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function Centers()
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_center,name FROM ali_center ORDER BY name";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}

	public function CentersP( &$rows )
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT c.id_center,c.name,p.prov FROM ali_center c LEFT JOIN prov p ON c.id_province=p.id_prov ORDER BY c.name";
		return $db->QueryExe($rows, $sqlstr, true);
	}

	public function CompaniesP( &$rows )
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT c.id_company,c.name,CONCAT(c.town,' - ',p.pr) AS town_pr,
		DATE_FORMAT(MAX(q.insert_date),'%d.%m.%Y') AS last_date,c.notes
		FROM ali_company c
		INNER JOIN prov p ON c.id_province=p.id_prov
		LEFT JOIN ali_company_questions q ON c.id_company=q.id_company
		GROUP BY c.id_company
		ORDER BY c.name";
		return $db->QueryExe($rows, $sqlstr, true);
	}

	public function CompanyGet($id_company)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT c.name,c.sector,c.address,c.town,c.id_province,c.phone,UNIX_TIMESTAMP(c.insert_date) AS insert_date,c.postcode,c.notes
		FROM ali_company c
		WHERE c.id_company=$id_company";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function CompanyInsert($name,$sector,$id_province,$address,$town,$phone,$insert_date,$postcode,$notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_company" );
		$id_company = $db->nextId( "ali_company", "id_company" );
		$sqlstr = "INSERT INTO ali_company (id_company,name,sector,id_province,address,town,phone,insert_date,postcode,notes)
		VALUES ($id_company,'$name','$sector',$id_province,'$address','$town','$phone','$insert_date','$postcode','$notes')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
		return $id_company;
	}

	public function CompanyProvinces()
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT DISTINCT c.id_province,p.prov FROM ali_company c LEFT JOIN prov p ON c.id_province=p.id_prov ORDER BY prov";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function CompanyQuestionsP( &$rows, $id_company )
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT q.id_question,DATE_FORMAT(q.insert_date,'%d.%m.%Y') AS insert_date_f,q.name AS contact,q.notes
		FROM ali_company_questions q
		WHERE id_company=$id_company
		ORDER BY q.insert_date DESC";
		return $db->QueryExe($rows, $sqlstr, true);
	}

	public function CompanyQuestionGet($id_question)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT id_company,user,UNIX_TIMESTAMP(insert_date) AS insert_date,name,role,employees,employees_f,
		employees_r,employees_rf,profiles,gender,education,language,contract,q.notes
		FROM ali_company_questions q
		WHERE id_question=$id_question";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function CompanyQuestionInsert($id_company,$user,$insert_date,$name,$role,$employees,$employees_f,$employees_r,$employees_rf,$profiles,$gender,$education,$language,$contract,$notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_company_questions" );
		$id_question = $db->nextId( "ali_company_questions", "id_question" );
		$sqlstr = "INSERT INTO ali_company_questions (id_question,id_company,user,insert_date,name,role,employees,employees_f,employees_r,employees_rf,profiles,gender,education,language,contract,notes)
		VALUES ($id_question,$id_company,'$user','$insert_date','$name','$role',$employees,$employees_f,$employees_r,$employees_rf,'$profiles',$gender,$education,$language,$contract,'$notes')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
		return $id_question;
	}

	public function CompanyQuestionUpdate($id_question,$user,$insert_date,$name,$role,$employees,$employees_f,$employees_r,
		$employees_rf,$profiles,$gender,$education,$language,$contract,$notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_company_questions" );
		$sqlstr = "UPDATE ali_company_questions SET user='$user',insert_date='$insert_date',name='$name',role='$role',
			employees=$employees,employees_f=$employees_f,employees_r=$employees_r,employees_rf=$employees_rf,
			profiles='$profiles',gender=$gender,education=$education,language=$language,contract=$contract,notes='$notes'
			WHERE id_question=$id_question";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function CompanyUpdate($id_company,$name,$sector,$id_province,$address,$town,$phone,$insert_date,$postcode,$notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_company" );
		$sqlstr = "UPDATE ali_company SET name='$name',sector='$sector',insert_date='$insert_date',address='$address',
		town='$town',id_province=$id_province,phone='$phone',postcode='$postcode',notes='$notes'
			WHERE id_company=$id_company";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function PersonEdus($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_edu,description,country,length,completed FROM ali_person_edus WHERE id_person=$id_person ORDER BY id_edu";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function PersonEduGet($id_edu)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT description,country,completed,length,id_person FROM ali_person_edus WHERE id_edu=$id_edu";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonEduInsert($id_person,$description,$country,$completed,$length)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_edus" );
		$id_edu = $db->nextId( "ali_person_edus", "id_edu" );
		$sqlstr = "INSERT INTO ali_person_edus (id_edu,id_person,description,country,completed,length)
		VALUES ($id_edu,$id_person,'$description','$country',$completed,$length)";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonEduUpdate($id_edu,$id_person,$description,$country,$completed,$length)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_edus" );
		$sqlstr = "UPDATE ali_person_edus SET id_person=$id_person,description='$description',country='$country',
			completed=$completed,length=$length WHERE id_edu=$id_edu";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonGet($id_person)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT UNIX_TIMESTAMP(p.insert_date) AS insert_date,p.birth_place,p.dob,
		p.id_center,p.id_person,p.id_user,p.name,p.name2,p.surname,p.gender,p.country,p.address_1,p.zipcode_1,p.town_1,p.id_province_1,
		p.address_2,p.zipcode_2,p.town_2,p.id_province_2,p.phone,p.email,p.taxcode,p.passport,p.passport_date,p.resident_permit_type,
		p.resident_permit_expire_date,p.health_card,p.driving_licence,p.driving_licence_type,p.family,p.status,p.marriage_day,
		p.gather_family,p.sons,p.relatives,p.disability,p.change_job,p.shifts,p.commute,p.transport,p.languages,p.italian,
		p.computer,p.edu_notes,p.change_home,p.change_home_reason,p.home_area,p.home_max_rent,p.home_type,p.home_notes,
		p.salary,p.bank_account,p.home_support,p.religion,p.emi_reason,p.town_reason,p.how_much_support,
		p.varia_notes,p.contact,p.employed,p.skills,p.tskills,p.aims,p.job_notes,p.software
		FROM ali_person p
		WHERE p.id_person=$id_person";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonHomes($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_home,period,place,type,contract,contact,left_reason FROM ali_person_homes WHERE id_person=$id_person ORDER BY id_home";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function PersonHomeGet($id_home)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT period,place,type,contract,contact,left_reason,id_person,home_notes FROM ali_person_homes WHERE id_home=$id_home";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonHomeInsert($id_person,$period,$place,$type,$contract,$contact,$left_reason,$home_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_homes" );
		$id_home = $db->nextId( "ali_person_homes", "id_home" );
		$sqlstr = "INSERT INTO ali_person_homes (id_home,id_person,period,place,type,contract,contact,left_reason,home_notes)
		VALUES ($id_home,$id_person,'$period','$place',$type,$contract,$contact,$left_reason,'$home_notes')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonHomeUpdate($id_home,$id_person,$period,$place,$type,$contract,$contact,$left_reason,$home_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_homes" );
		$sqlstr = "UPDATE ali_person_homes SET id_person=$id_person,period='$period',
			place='$place',type=$type,contract=$contract,home_notes='$home_notes',
			contact=$contact,left_reason=$left_reason WHERE id_home=$id_home";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonInOutInsert($id_person,$start_date,$reason)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_inout" );
		$id_inout = $db->nextId( "ali_person_inout", "id_inout" );
		$sqlstr = "INSERT INTO ali_person_inout (id_inout,id_person,start_date,reason)
		VALUES ($id_inout,$id_person,'$start_date','$reason')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
		return $id_inout;
	}
	
	public function PersonInOutUpdate($id_inout,$id_person,$start_date,$reason)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_inout" );
		$sqlstr = "UPDATE ali_person_inout SET id_person=$id_person,start_date='$start_date',
		reason='$reason' WHERE id_inout=$id_inout";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonInOutGet($id_inout)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT id_inout,id_person,start_date,reason FROM ali_person_inout
		WHERE id_inout=$id_inout";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonInOuts($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_inout,start_date,reason FROM ali_person_inout WHERE id_person=$id_person ORDER BY id_inout";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
		
	public function PersonJobs($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_job,period,description,country,contract,employer,contact,left_reason,parttime FROM ali_person_jobs WHERE id_person=$id_person ORDER BY id_job";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function PersonJobGet($id_job)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT period,description,country,contract,employer,contact,left_reason,parttime,job_notes,id_person FROM ali_person_jobs WHERE id_job=$id_job";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonJobInsert($id_person,$period,$description,$country,$contract,$employer,$contact,$left_reason,$parttime,$job_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_jobs" );
		$id_job = $db->nextId( "ali_person_jobs", "id_job" );
		$sqlstr = "INSERT INTO ali_person_jobs (id_job,id_person,period,description,country,contract,employer,contact,left_reason,parttime,job_notes)
		VALUES ($id_job,$id_person,'$period','$description',$country,$contract,$employer,$contact,$left_reason,$parttime,'$job_notes')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonJobUpdate($id_job,$id_person,$period,$description,$country,$contract,$employer,$contact,$left_reason,$parttime,$job_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_jobs" );
		$sqlstr = "UPDATE ali_person_jobs SET id_person=$id_person,period='$period',
			description='$description',country=$country,contract=$contract,employer=$employer,
			contact=$contact,left_reason=$left_reason,parttime=$parttime,job_notes='$job_notes' WHERE id_job=$id_job";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonRelativeGet($id_relative)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT id_relative,id_person_rel,relation,gender,yearborn,country,study,job,id_person FROM ali_person_relatives WHERE id_relative=$id_relative";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonRelativeInsert($id_person_rel,$relation,$gender,$yearborn,$country,$study,$job,$id_person)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_relatives" );
		$id_relative = $db->nextId( "ali_person_relatives", "id_relative" );
		$sqlstr = "INSERT INTO ali_person_relatives (id_relative,id_person_rel,relation,gender,yearborn,country,study,job,id_person)
		VALUES ($id_relative,$id_person_rel,'$relation','$gender',$yearborn,'$country','$study','$job',$id_person)";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonRelativeUpdate($id_relative,$id_person_rel,$relation,$gender,$yearborn,$country,$study,$job,$id_person)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_relatives" );
		$sqlstr = "UPDATE ali_person_relatives SET id_person_rel=$id_person_rel,relation='$relation',
			gender='$gender',yearborn=$yearborn,country='$country',study='$study',job='$job',
			id_person=$id_person WHERE id_relative=$id_relative";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonRelatives($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_relative,relation,gender,yearborn,country,study,job,id_person FROM ali_person_relatives WHERE id_person_rel=$id_person ORDER BY relation DESC, id_relative ASC";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function PersonInsert($name,$surname,$insert_date,$birth_place,$dob,$id_center,$contact,$id_user)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$id_person = $db->nextId( "ali_person", "id_person" );
		$sqlstr = "INSERT INTO ali_person (id_person,name,surname,insert_date,birth_place,dob,id_center,contact,id_user)
		VALUES ($id_person,'$name','$surname','$insert_date','$birth_place','$dob',$id_center,'$contact',$id_user)";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
		return $id_person;
	}

	public function PersonRegisterInsert($id_person,$start_date,$type,$length)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_registrations" );
		$id_register = $db->nextId( "ali_person_registrations", "id_register" );
		$sqlstr = "INSERT INTO ali_person_registrations (id_register,id_person,start_date,type,length)
		VALUES ($id_register,$id_person,'$start_date','$type','$length')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
		return $id_register;
	}
	
	public function PersonRegisterUpdate($id_register,$id_person,$start_date,$type,$length)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_registrations" );
		$sqlstr = "UPDATE ali_person_registrations SET id_person=$id_person,start_date='$start_date',
		type='$type',length='$length' WHERE id_register=$id_register";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonRegistrationGet($id_register)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT id_register,id_person,start_date,type,length FROM ali_person_registrations
		WHERE id_register=$id_register";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonRegistrations($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_register,start_date,type,length FROM ali_person_registrations WHERE id_person=$id_person ORDER BY id_register";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}

	public function PersonServices($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_service,DATE_FORMAT(insert_date,'%d.%m.%Y') AS insert_date_f,result FROM ali_person_services WHERE id_person=$id_person ORDER BY id_service";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function PersonServiceGet($id_service)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT UNIX_TIMESTAMP(insert_date) AS insert_date,id_person,info,request,job_search,home_search,
			support,support_description,result,notes FROM ali_person_services WHERE id_service=$id_service";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonServiceInsert($id_person,$insert_date,$info,$request,$job_search,$home_search,$support,$support_description,$result,$notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_services" );
		$id_service = $db->nextId( "ali_person_services", "id_service" );
		$sqlstr = "INSERT INTO ali_person_services (id_service,id_person,insert_date,info,request,job_search,home_search,support,support_description,result,notes)
		VALUES ($id_service,$id_person,'$insert_date','$info','$request','$job_search','$home_search','$support','$support_description','$result','$notes')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonServiceUpdate($id_service,$id_person,$insert_date,$info,$request,$job_search,$home_search,$support,$support_description,$result,$notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_services" );
		$sqlstr = "UPDATE ali_person_services SET id_person=$id_person,insert_date='$insert_date',info='$info',
			request='$request',job_search='$job_search',home_search='$home_search',support='$support',
			support_description='$support_description',result='$result',notes='$notes'
			WHERE id_service=$id_service";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonSocs($id_person)
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT id_soc,period,service FROM ali_person_socs WHERE id_person=$id_person ORDER BY id_soc";
		$db->QueryExe($rows, $sqlstr);
		return $rows;
	}
	
	public function PersonSocGet($id_soc)
	{
		$db =& Db::globaldb();
		$row = array();
		$sqlstr = "SELECT period,service,id_person FROM ali_person_socs WHERE id_soc=$id_soc";
		$db->query_single($row,$sqlstr);
		return $row;
	}

	public function PersonSocInsert($id_person,$period,$service)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_socs" );
		$id_soc = $db->nextId( "ali_person_socs", "id_soc" );
		$sqlstr = "INSERT INTO ali_person_socs (id_soc,id_person,period,service)
		VALUES ($id_soc,$id_person,'$period','$service')";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonSocUpdate($id_soc,$id_person,$period,$service)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person_socs" );
		$sqlstr = "UPDATE ali_person_socs SET id_person=$id_person,period='$period',service='$service'
			 WHERE id_soc=$id_soc";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonUpdate1($id_person,$name,$surname,$insert_date,$birth_place,$dob,$id_center,$contact,$id_user)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$sqlstr = "UPDATE ali_person SET name='$name',surname='$surname',insert_date='$insert_date',birth_place='$birth_place',
		dob='$dob',id_center=$id_center,id_user=$id_user,contact='$contact'
			WHERE id_person=$id_person";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function PersonUpdate2($id_person,$name,$name2,$surname,$gender,$dob,$country,$address_1,$zipcode_1,$town_1,$id_province_1,$address_2,$zipcode_2,$town_2,$id_province_2,$phone,$email,
$taxcode,$passport,$passport_date,$resident_permit_type,$resident_permit_expire_date,$health_card,$driving_licence,$driving_licence_type,
$family,$status,$marriage_day,$gather_family,$sons,$relatives,$disability)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$sqlstr = "UPDATE ali_person SET name='$name',name2='$name2',surname='$surname',gender='$gender',dob='$dob',country='$country',
			address_1='$address_1',zipcode_1='$zipcode_1',town_1='$town_1',id_province_1=$id_province_1,
			address_2='$address_2',zipcode_2='$zipcode_2',town_2='$town_2',id_province_2=$id_province_2,
			phone='$phone',email='$email',taxcode='$taxcode',passport='$passport',passport_date='$passport_date',
			resident_permit_type='$resident_permit_type',resident_permit_expire_date='$resident_permit_expire_date',
			health_card='$health_card',driving_licence='$driving_licence',driving_licence_type='$driving_licence_type',
			family='$family',status='$status',marriage_day='$marriage_day',gather_family='$gather_family',sons=$sons,
			relatives='$relatives',disability='$disability'
			WHERE id_person=$id_person";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function PersonUpdate3($id_person,$change_job,$shifts,$commute,$transport,$employed,$skills,$tskills,$aims,$job_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$sqlstr = "UPDATE ali_person SET change_job=$change_job,shifts='$shifts',commute=$commute,transport='$transport',
			employed=$employed,skills='$skills',tskills='$tskills',aims='$aims',job_notes='$job_notes'
			WHERE id_person=$id_person";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function PersonUpdate4($id_person,$languages,$italian,$computer,$edu_notes,$software)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$sqlstr = "UPDATE ali_person SET languages='$languages',italian=$italian,computer=$computer,
			edu_notes='$edu_notes',software='$software'
			WHERE id_person=$id_person";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}
	
	public function PersonUpdate5($id_person,$change_home,$change_home_reason,$home_area,$home_max_rent,$home_type,$home_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$sqlstr = "UPDATE ali_person SET change_home=$change_home,change_home_reason='$change_home_reason',
			home_area='$home_area',home_max_rent='$home_max_rent',home_type='$home_type',home_notes='$home_notes'
			WHERE id_person=$id_person";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function PersonUpdate6($id_person,$salary,$bank_account,$home_support,$religion,$emi_reason,$town_reason,$how_much_support,$varia_notes)
	{
		$db =& Db::globaldb();
		$db->begin();
		$db->lock( "ali_person" );
		$sqlstr = "UPDATE ali_person SET salary=$salary,bank_account=$bank_account,home_support=$home_support,
			religion='$religion',emi_reason='$emi_reason',town_reason='$town_reason',
			how_much_support=$how_much_support,varia_notes='$varia_notes' WHERE id_person=$id_person";
		$res[] = $db->query($sqlstr);
		Db::finish( $res, $db);
	}

	public function PersonsP( &$rows )
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT p.id_person,p.name,p.surname,DATE_FORMAT(insert_date,'%d.%m.%Y') AS insert_date_f,c.name AS center_name,p.country
		FROM ali_person p INNER JOIN ali_center c ON p.id_center=c.id_center
		ORDER BY p.insert_date DESC";
		return $db->QueryExe($rows, $sqlstr, true);
	}

	public function Search( &$rows, $params )
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT p.id_person,p.name,p.surname,DATE_FORMAT(insert_date,'%d.%m.%Y') AS insert_date_f,c.name AS center_name,p.country
		FROM ali_person p 
		INNER JOIN ali_center c ON p.id_center=c.id_center
		WHERE 1=1";
		if ($params[id_center]>0)
			$sqlstr .= " AND p.id_center=$params[id_center]";
		if (strlen($params[name])>0)
			$sqlstr .= " AND (p.name LIKE '%$params[name]%' OR p.surname LIKE '%$params[name]%')";
		$sqlstr .= " ORDER BY p.name";
		return $db->QueryExe($rows, $sqlstr, true);
	}

	public function SearchCompany( &$rows, $params )
	{
		$db =& Db::globaldb();
		$rows = array();
		$sqlstr = "SELECT c.id_company,c.name,CONCAT(c.town,' - ',p.pr) AS town_pr,
		DATE_FORMAT(MAX(q.insert_date),'%d.%m.%Y') AS last_date,c.notes,c.sector
		FROM ali_company c
		INNER JOIN prov p ON c.id_province=p.id_prov
		LEFT JOIN ali_company_questions q ON c.id_company=q.id_company
		WHERE 1=1";
		if ($params[id_prov]>0)
			$sqlstr .= " AND c.id_province=$params[id_prov]";
		if (strlen($params[name])>0)
			$sqlstr .= " AND (c.name LIKE '%$params[name]%' OR c.sector LIKE '%$params[name]%' OR c.notes LIKE '%$params[name]%')";
		if (strlen($params[town])>0)
			$sqlstr .= " AND (c.address LIKE '%$params[town]%' OR c.town LIKE '%$params[town]%')";
		$sqlstr .= " GROUP BY c.id_company ORDER BY c.name";
		return $db->QueryExe($rows, $sqlstr, true);
	}

}
?>
