<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../classes/formhelper.php");
$fh = new FormHelper(true,12,false);
$fh->va->NoSpam("link");
$post = $fh->HttpPost();

$from = $post['from'];

if ($from=="event")
{
	$id_event 	= $post['id_event'];
	$start_date 	= $fh->CheckDateString($post['start_date']) . " " . $fh->Strings2Time($post['start_date_h'],$post['start_date_i']);
	$length		= $post['length'];
	$allday		= $fh->Checkbox2bool($post['allday']);
	$end_date 	= $start_date;
	$id_event_type	= $post['id_event_type'];
	$title		= $fh->StringClean($post['title']);
	$description	= $post['description'];
	$place		= $post['place'];
	$id_geo	= $post['id_geo'];
	$place_details	= $post['place_details'];
	$contact_name	= $post['contact_name'];
	$email		= $post['email'];
	$phone		= $post['phone'];
	$id_topic 	= $fh->Null2Zero($post['id_topic']);
	$link		= $fh->String2Url($post['link']);

	include_once(SERVER_ROOT."/../classes/people.php");
	$pe = new People();
	$user = $pe->UserInfo(false);
	$id_p = (int)$user['id'];

	$id_new_event = 0;
	$fh->va->NotEmpty($title,"title");
	$fh->va->NotEmpty($place,"place");
	$fh->va->GreaterThenZero($id_event_type,"id_event_type");
	$fh->va->Email($email);
	$fh->va->Captcha($post);
	$fh->va->NoForumSpam($email);
	$fh->va->DateInFuture($fh->CheckDateTimestamp($post['start_date']));
	$ini = new Ini();
	$events_insert = $ini->Get("events_insert");
	if($fh->va->return && $events_insert)
	{
		include_once(SERVER_ROOT."/../classes/event.php");
		$event = new Event();
		$id_new_event = $event->EventInsert($start_date, $length, $allday, $end_date, $id_event_type, $title, $description, $place, $id_geo,
			$place_details, $contact_name, $email, $phone, $link,0,$id_topic,1,0,"",0,$id_p,0);
	}
	header("Location: insert.php?id=$id_new_event&id_topic=$id_topic");
}


?>

